### Hierarchy

- Error
  - RateLimitException

## Index

### Constructors

- constructor

### Properties

- message
- name
- stack
- prepareStackTrace
- stackTraceLimit

### Methods

- captureStackTrace

## Constructors

### constructor

- new RateLimitException(): RateLimitException

- Overrides Error.constructor

  - Defined in src/models/exceptions/RateLimitException.ts:25

  #### Returns RateLimitException

## Properties

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### Optional stack

stack: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### Static Optional prepareStackTrace

prepareStackTrace: (err: Error, stackTraces: CallSite[]) => any

Inherited from Error.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:11

Optional override for formatting stack traces

see

  https://v8.dev/docs/stack-trace-api#customizing-stack-traces

#### Type declaration

- - (err: Error, stackTraces: CallSite[]): any

  - #### Parameters

    - ##### err: Error

    - ##### stackTraces: CallSite[]

    #### Returns any

### Static stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:13

## Methods

### Static captureStackTrace

- captureStackTrace(targetObject: object, constructorOpt?: Function): void

- Inherited from Error.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:4

  Create .stack property on a target object

  #### Parameters

  - ##### targetObject: object

  - ##### Optional constructorOpt: Function

  #### Returns void

Generated using TypeDoc